# Awesome Tactical RMM (TRMM) [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

> A list of awesome things related to Tactical RMM

- [Awesome Tactical RMM (TRMM)](https://github.com/amidaware/trmm-awesome)
- [Resources](#resources)
    - [Official Resources](#official-resources)
    - [External Resources](#external-resources)
    - [Official Community](#official-community)
    - [Tutorials](#tutorials)
      - [Video Tutorials](#video-tutorials)
      - [Articles](#articles)
- [Community App Extensions](#community-app-extensions)

# Resources

### Official Resources

- [Official Documentation](https://docs.tacticalrmm.com/)
- [Tactical RMM GitHub Repo](https://github.com/wh1te909/tacticalrmm)
- [Tactical RMM Release Notes](https://github.com/wh1te909/tacticalrmm/releases)

### External Resources

> These resources have not been created by the Tactical RMM Team, nor do we maintain them or financially benefit from them.

Since you're probably an MSP or doing Computer management stuff here's a google sheet with a bunch of services that you can check for yourself. If you see missing data, feel free to update and help the next guy. 

<https://docs.google.com/spreadsheets/d/1Z5JUC-FCYAIzyW2rAoXLpQYq0a8VFJ5VUh5gqSerWPY/>

#### Windows 7 and Powershell v2 scripts

<https://github.com/darimm/RMMFunctions>

#### Grafana Dashboards

Get graphical dashboards for status screens, wall TVs and NOCs

<https://github.com/dinger1986/TRMM-Grafana>

#### Kubernetes files

<https://github.com/amidaware/trmm-awesome/tree/main/kubernetes>

#### Migrate MeshCentral2 database from mongo to postgres

<https://github.com/amidaware/trmm-awesome/blob/main/scripts/migrate-mesh-to-postgres.sh>

#### trmm-cli access to api

<https://gitlab.com/NiceGuyIT/trmm-cli>

#### Docker update, certificates and other stuff

<https://github.com/vaughngx4/tactical-stuff>

#### Docker upgrade postgres 13 to 14

<https://github.com/amidaware/trmm-awesome/blob/main/scripts/trmmdockerpostgresupdate.txt>

#### Docker backup scripts

<https://github.com/larseberhardt/TRMM-Docker-Backup-Script>

#### Azure terraform scripts

<https://github.com/redanthrax/tacticalrmm-aks>

#### Rundeck Plugin

<https://github.com/SoarinFerret/tacticalrmm-rundeck-plugin>

#### Zabbix Howto

<https://github.com/bernardolankheet/TacticalRMM-Extras/tree/devep/Template-TRMM-for-Zabbix>

#### RustDesk Integration

Install your own RustDesk Server as an alternative to MeshCentral

<https://github.com/vegetable8/TRMM-RustDesk-Integration>

#### Webhooks
<https://github.com/daileycomputerconsulting/tactical-rmm-webhooks>

### Official Community

- [Official Chat Room - Discord](https://discord.gg/upGTkWp)

### Misc Scripts from Users

- Deleting Clients and Sites in TRMM
- Print job fixing
- Preview updates to ignore across all agents using the API and without installing any 3rd party libraries
- Toggle the approval and installation of a specific KB across all agents using the API and without installing any 3rd party libraries
- Syncs agents from Tactical RMM to Hudu
- Installs Sophos Endpoint via the Sophos API

<https://github.com/bc24fl/tacticalrmm-scripts>

### Tutorials

[Server Installation (German)](https://www.howtoforge.de/uncategorized/tactical-rmm-server-installation-zur-verwaltung-von-windows-clients/)

#### Video Tutorials

- Full Front End Walkthru @bbrendon <https://www.youtube.com/watch?v=v5Wuvi_fjTI&t>

#### Articles

<https://www.technibble.com/tacticalrmm-a-free-open-source-rmm/>

[Howto install Tactical RMM including MeshCentral on Nethserver with docker](https://community.nethserver.org/t/howto-install-tactical-rmm-including-meshcentral-on-nethserver-with-docker/19112)

# Community App Extensions

...Coming Soon
